@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

.Button-text {
  background: none;
  border: 2px solid transparent;
}

@include themify("Button", $themes) {
  border-radius: themed("button-default-radius");

  &.Button-primary {
    &.Button-contained {
      background-color: themed("button-primary");
      color: themed("button-primary-label");

      &:hover {
        background-color: themed("button-primary-outlined-hover");
        color: themed("button-primary-hover-label");
      }
    }

    &.Button-outlined,
    &.Button-contained {
      border: 2px solid themed("button-primary");

      &:hover {
        border-color: themed("button-primary-outlined-hover");
      }
    }

    &.Button-outlined,
    &.Button-text {
      color: themed("button-primary-outlined-label");

      &:hover {
        color: themed("button-primary-outlined-hover");
      }

      &:active {
        color: themed("button-primary-hover-label");
      }
    }
  }

  &.Button-secondary {
    &.Button-contained {
      color: themed("button-secondary-label");
      background-color: themed("button-secondary");

      &:hover {
        background-color: themed("button-secondary-outlined-hover");
        color: themed("button-secondary-hover-label");
      }
    }

    &.Button-outlined,
    &.Button-contained {
      border: 2px solid themed("button-secondary");

      &:hover {
        border-color: themed("button-secondary-outlined-hover");
      }
    }

    &.Button-outlined,
    &.Button-text {
      color: themed("button-secondary-outlined-label");

      &:hover {
        color: themed("button-secondary-outlined-hover");
      }

      &:active {
        color: themed("button-secondary-label");
      }
    }
  }

  &.Button-disabled {
    &.Button-contained {
      color: themed("button-disabled-label");
      background-color: themed("button-disabled");
    }

    &.Button-outlined,
    &.Button-contained {
      border: 2px solid themed("button-disabled");
    }

    &.Button-outlined,
    &.Button-text {
      color: themed("button-disabled-outlined-label");
    }
  }
}
